<?php

namespace KupShop\ReclamationsBundle\AdminRegister;

use KupShop\AdminBundle\AdminRegister\AdminRegister;
use KupShop\AdminBundle\AdminRegister\IAdminRegisterDynamic;
use KupShop\AdminBundle\AdminRegister\IAdminRegisterStatic;
use KupShop\ReclamationsBundle\ReclamationsBundle;

class ReclamationsAdminRegister extends AdminRegister implements IAdminRegisterDynamic, IAdminRegisterStatic
{
    public function getDynamicMenu(): array
    {
        return [
            static::createMenuItem('ordersMenu', [
                'name' => 'Reclamations',
                'title' => translate('reclamations', 'Reclamations'),
                'left' => 's=menu.php&type=Reclamations',
                'right' => 's=list.php&type=Reclamations',
            ]),
        ];
    }

    public static function getPermissions(): array
    {
        return [
            static::createPermissions('Reclamations', [\Modules::RECLAMATIONS], ['RECLAMATIONS']),
        ];
    }

    public function getActivityLogTags(): array
    {
        return [
            static::createActivityLogTag(ReclamationsBundle::LOG_TAG_RECLAMATIONS, translate('activityLogTag', 'Reclamations')),
        ];
    }
}
